> ## Documentation Index
> Fetch the complete documentation index at: https://docs.supersonic.cv/llms.txt
> Use this file to discover all available pages before exploring further.

# lists.bulk_add_entry



## OpenAPI

````yaml POST /lists/bulk_add_entry
openapi: 3.1.0
info:
  title: Supersonic CRM API
  description: 62 tools for managing your CRM data. Call via CLI, REST, or MCP.
  version: 1.0.0
servers:
  - url: https://api.supersonic.cv
    description: Production
security:
  - bearerAuth: []
paths:
  /lists/bulk_add_entry:
    post:
      tags:
        - lists
      summary: Add multiple records to a list in a single operation (max 100)
      operationId: lists.bulk_add_entry
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                list_id:
                  type: string
                  description: List UUID
                entries:
                  type: array
                  items:
                    type: object
                    properties:
                      record_id:
                        type: string
                      data:
                        type: object
                    required:
                      - record_id
                  description: Array of entries to add (max 100)
              required:
                - list_id
                - entries
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
        '400':
          description: Validation error
        '403':
          description: Permission denied
        '429':
          description: Rate limit exceeded
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: 'API key: supersonic_live_...'

````